* Encoding: windows-1252.
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* Diese Datei: beispiele.sps
*   Dateiformat: Dos/Windows
*   Zeichensatz: Windows-1252
*   SPSS 24.0.0.1
* Download: 
*   https://www.gesis.org/missy/files/documents/MZ/misc/TR_10-03_SPSS.zip
* Version: 10/2019.
* 
* SPSS-Syntax zur Varianzschtzung fr Mikrozensus Scientific Use Files ab 2005 
* am Beispiel des Mikrozensus 2015
* 
* Beispiele
* 1 Designbasierte Schtzung des Gesamtwertes Zahl der Erwerbslosen
* 2 Schtzung des Gesamtwertes mit gebundener Hochrechnung (Regressionsschtzung) 
* 3 Schtzung der Erwerbslosenquote mit Designgewichtung
* 4 Schtzung der Erwerbslosenquote mit gebundener Hochrechnung (Regressionsschtzung) 
* zu 
* 
* Schimpl-Neimanns, Bernhard: Varianzschtzung fr Mikrozensus Scientific Use 
*   Files ab 2005. GESIS-Technical Report Nr. 2010/03. Mannheim: GESIS.
*   URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
     gesis_reihen/gesis_methodenberichte/2010/TechnicalReport_10-03.pdf
* berarbeitete Fassung verffentlicht als:
* Schimpl-Neimanns, Bernhard (2011): Schtzung des Stichprobenfehlers in 
*   Mikrozensus Scientific Use Files ab 2005, AStA Wirtschafts- und 
*   Sozialstatistisches Archiv 5 (1): 19-38. DOI: 10.1007/s11943-011-0092-4. 
* 
* Datenbeschreibung, siehe https://www.gesis.org/missy/metadata/MZ/2015/
*
* nderungen gegenber frheren Versionen
* Syntax vereinfacht
* Berechnung der Mittelwerte der Indikatoren der Hilfsmerkmale bercksichtigt
  nur Bevlkerung am Hauptwohnsitz
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -. 

* Lokales Arbeitsverzeichnis eintragen, z. B. "c:\temp".
cd "Arbeitsverzeichnis".

* -----------------------------------------------------------------------------.
* Beispiel 1: Designbasierte Schtzung des Gesamtwertes Zahl der Erwerbslosen
*             Jahresdurchschnittsergebnis .

* Variablenauswahl Scientific Use Files Mikrozensus 2015. 
get file = 'mz2015.sav' /keep 
    EF1	  /* Bundesland
    EF3	  /* Nr. des Auswahlbezirks (systemfrei)
    EF4	  /* Nr. des Haushalts im Auswahlbezirk (systemfrei)
    EF5a  /* Nr. der Person im Haushalt
    EF5b  /* Jahresberhang aus dem Vorjahr
    EF12  /* Berichtsquartal
    EF29  /* Erwerbstyp
    EF30  /* Bevlkerung: Haupt- oder Nebenwohnsitz
    EF31  /* Bevlkerung: Privathaushalte
    EF44  /* Alter
    EF46  /* Geschlecht
    EF117 /* Stellung im Beruf
    EF369 /* 1. ausl. Staatsangehrigkeit
    EF371 /* Staatsangehrigkeit typisiert
    EF570 /* Gebudegrenklasse
    EF952 /* Standardhochrechnungsfaktor Jahr (in 1000)
    .
DATASET NAME $DataSet WINDOW=FRONT.

* Deklaration fehlender Werte aufheben.
missing values all().

* Fortlaufende Satznummer fr Zuspielen der Hilfs-/Anpassungsmerkmale.
compute satznr = $casenum.
formats satznr (F6.0).
var label satznr "Fortlaufende Personennummer (Satznr. File)".

* Designdefinition .
* Schichtung.
*   Neubauten differenziert nach dem Aktualisierungsjahr (ef570=7) .
*   werden wegen kleinem Umfang nicht extra beruecksichtigt, sondern .
*   mit anderen Neubauten (ef570=6) zusammengefasst.
recode ef570 (6 7=6) (else=copy) into v570.
compute schicht = ef12*1000 + ef1*10 + v570.
var label schicht "Schichtung: Quartal x Land x Gebudegr.klasse".

* Klumpung: Auswahlbezirk.
*  - fr die Daten bis einschlielich 2011 reicht EF3 zur Kennzeichnung aus.
compute idpsu = EF1*1000000 + EF3.
var label idpsu 'Auswahlbezirk (EF1 o EF3)'.
formats idpsu (f8.0).

* Auswahlsatz: Jahresdurchschnittsergebnisse .
compute f = 0.01 * 0.7.
var label f "Auswahlsatz".

* Designgewicht (freie Hochrechnung).
compute d = 1/f.
var label d "Designgewicht d = 1/f".

* Subpopulation .
compute sub = (ef30>=1 & ef30<=2 & ef44>=15 & ef44<=64).
var label sub "Bevlkerung von 15 bis unter 65 Jahren am Hauptwohnsitz".
value label sub 1 "BevHWS 15-64 J" 0 "sonst".
formats sub (f1.0).

* Interessierendes Merkmal .
compute y = (ef29=2) * sub.
var label y "ILO-Erwerbslose, Bevlkerung 15-64 Jahre am Hauptwohnsitz".
formats y (f1.0).

* === Designgewichtung ===.
* - Klumpung: EF3 Auswahlbezirksnr. (einstufige Zufallsauswahl).
* - Schichtung: schicht = Berichtsquartal x Land x Gebudegr.klasse.
* - Auswahlsatz (f): 0,7 % 
* - Ziehen ohne Zurcklegen
* - Designgewichtung: d = 1/f
* Varianzschtzungen sind aufgrund von Schichten mit 1 PSU nicht mglich.
* Betrifft in diesem Fall 5 Schichten der Gebudeschicht Gemeinschaftsunterkunft
* mit insges. 36 Personen der Subpopulation, darunter sind keine Erwerbslosen (EF29=2). 
* SPSS setzt den Varianzbeitrag von Schichten mit nur einer PSU auf Null.
CSPLAN ANALYSIS
  /PLAN FILE='bsp1.csaplan'
  /PLANVARS ANALYSISWEIGHT=d
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=idpsu 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.
CSDESCRIPTIVES
 /PLAN FILE = 'bsp1.csaplan'
 /SUMMARY VARIABLES = y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE CV.

* Ergebnis:                    .
*   Gesamtwert:  1550428,571   .
*   Std.fehler:    17340,69951 .
*   CV (%):            1,1184  .


* -----------------------------------------------------------------------------.

* Beispiel 2: Schtzung des Gesamtwertes mit gebundener Hochrechnung 
*             (Regressionsschtzung) Zahl der Erwerbslosen
*             Jahresdurchschnittsergebnis .

* Hochrechnungsfaktor (gebundene Hochrechnung) Jahresdurchschnitt
*    Beachte: EF952 ist ab 2006 bereits mit Faktor 1/0.7 multipliziert.
*             EF952 ist im MZ 2015 im Haushalt konstant.
compute w = EF952 * 1000.
var label w "Hochrechnungsfaktor geb. HR Jahr".

* Korrekturfaktor.
compute g = w/d.
var label g "Korrekturfaktor".

* Hilfsvariablen zuspielen (erstellt mit xvar15.sps) .
match files file = *  /file='xvar15.sav' /by satznr.

* Regression des interess. Merkmals auf Hilfsmerkmale.
*   MZ 2005 - 2011: x1-x190 .
*   MZ 2012 - 2015: x1-x224 .
regression 
  /statistics r
  /origin
  /dependent y
  /method=enter x1 to x224
  /save resid. /* RES_1 */

rename variables RES_1 = e.
var lab e "Hilfsvariable fr Zellgewichtung - Residuum".
compute u = e * g. 
var lab u "Hilfsvariable fr Designgewichtung - Residuum * Korrekturfaktor".

* Varianzschtzung mit Hochrechnungsfaktor w (Zellgewichtung).
CSPLAN ANALYSIS
  /PLAN FILE='bsp2.csaplan'
  /PLANVARS ANALYSISWEIGHT=w
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=idpsu 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.
CSDESCRIPTIVES
 /PLAN FILE = 'bsp2.csaplan'
 /SUMMARY VARIABLES = y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE.

* Varianzschtzung mit Designgewicht d.
CSDESCRIPTIVES
 /PLAN FILE = 'bsp1.csaplan'
 /SUMMARY VARIABLES = u
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM.

* Ergebnis:                         .
*   Gesamtwert (y):  1944713        .
*   Std.fehler(u):     19575,05     .
*   CV (%):                1,006578 .


* -----------------------------------------------------------------------------.

* Beispiel 3: Schtzung der Erwerbslosenquote mit Designgewichtung
*             Erwerbslosenquote - Jahresdurchschnittsergebnis.

* Interessierendes (Nenner-)Merkmal.
compute z = (EF29>=1 & EF29<=2) * sub.
var label z "ILO-Erwerbspersonen Bevlkerung 15-64 Jahre am Hauptwohnsitz".

* Varianzschtzung mit Designgewicht d.
CSDESCRIPTIVES
  /PLAN FILE='bsp1.csaplan'
  /RATIO NUMERATOR=y DENOMINATOR=z
  /STATISTICS SE CV 
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

* Ergebnis:                      .
*   Erwerbslosenquote: ,04579267 .
*   Std.fehler:        ,00049276 .
*   CV (%)            1,076068   .


* -----------------------------------------------------------------------------.

* Beispiel 4: Schtzung der Erwerbslosenquote mit gebundener Hochrechnung 
*             (Regressionsschtzung) 
*             Erwerbslosenquote - Jahresdurchschnittsergebnis.

* Gewichtete Gesamtwerte Zhler und Nenner.
weight by w.
aggregate outfile=* mode=addvariables
   /break
   /Y_ "Gewichtetes Zhlermerkmal" = sum(y)
   /Z_ "Gewichtetes Nennermerkmal" = sum(z).
weight off.

* Gewicheter Anteilswert insgesamt.
compute R_ = Y_ / Z_.
* Ausfallstze (EF30<1, w=0).
recode R_ (sysmis=0).
var label R_ "Erwerbslosenqote: gewichteter Anteilswert".

* diffvar: Linearisierte (score) Variable fr Varianzschtzung.
compute diffvar = (y - R_ * z) / Z_.

* Regression der Score-Variablen auf Hilfsmerkmale.
regression 
  /statistics r
  /origin
  /dependent diffvar
  /method=enter x1 to x224
  /save resid. /* RES_1 */

rename variables RES_1 = eR.
var lab eR "Hilfsvariable fr Zellgewichtung - Residuum".
compute uR = eR * g. 
var lab uR "Hilfsvariable fr Designgewichtung - Residuum * Korrekturfaktor".

delete variables diffvar.
execute.

* Varianzschtzung mit Hochrechnungsfaktor w (Zellgewichtung).
* - Ratio Erwerbslosenquote.
CSDESCRIPTIVES
  /PLAN FILE='bsp2.csaplan'
  /RATIO NUMERATOR=y DENOMINATOR=z
  /SUBPOP TABLE = sub  DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

* - Varianzschtzung mit Designgewicht d.
CSDESCRIPTIVES
 /PLAN FILE = 'bsp1.csaplan'
 /SUMMARY VARIABLES = uR
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM.

* Ergebnis:                              .
*   Erwerbslosenquote (y/z): ,047230     .
*   Std.fehler (uR):         ,00045441   .
*   CV (%)                  0,962114019  .


* ####################### PROGRAMMENDE ####################### .

