* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* Diese Datei: xvar12.sps
*   Dateiformat: Dos\Windows
*   Zeichensatz: Windows-1252
*   SPSS 24.0.0.1.
* Download: 
*    https://www.gesis.org/missy/files/documents/MZ/misc/TR_10-03_SPSS.zip
* Version: 10/2019.
*
* Konstruktion der Hilfsmerkmale fr Scientific Use File Mikrozensus 2012
* 
* Zusammenfhrung der Hilfsmerkmale mit SUF mittels Identifikator satznr
* 
* Siehe: 
* Schimpl-Neimanns, Bernhard: Varianzschtzung fr Mikrozensus 
* Scientific Use Files ab 2005. GESIS-Technical Report Nr. 2010/03. 
* Mannheim: GESIS.
*   URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
*        gesis_reihen/gesis_methodenberichte/2010/TechnicalReport_10-03.pdf
* berarbeitete Fassung verffentlicht als:
* Schimpl-Neimanns, Bernhard (2011): Schtzung des Stichprobenfehlers 
* in Mikrozensus Scientific Use Files ab 2005, AStA Wirtschafts- und 
* Sozialstatistisches Archiv 5 (1): 19-38. DOI: 10.1007/s11943-011-0092-4. 
* 
* Datenbeschreibung:
*   https://www.gesis.org/missy/metadata/MZ/2012/
* 
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -.

* SPSS Version 24.0.0.1.

* Lokales Arbeitsverzeichnis eintragen, z. B. "c:\temp".
cd "Arbeitsverzeichnis".

* Daten einlesen, ggf. um Verzeichnis ergnzen oder ohne Variablenauswahl. 
get file = "mz2012.sav" /keep
    EF1   /*  Bundesland
    EF3   /* Nr. des Auswahlbezirks (systemfrei)
    EF4   /* Nr. des Haushalts im Auswahlbezirk (systemfrei)
    EF5a  /* Nr. der Person im Haushalt (systemfrei)
    EF5b  /* Jahresberhang aus dem Vorjahr
    EF12  /* Berichtsquartal
    EF29  /* Erwerbstyp 
    EF30  /* Bevlkerung: Haupt- oder Nebenwohnsitz
    EF31  /* Bevlkerung: Privathaushalte
    EF44  /* Alter
    EF46  /* Geschlecht  
    EF117 /* Stellung im Beruf 
    EF369 /* 1. Staatsangehrigkeit
    EF371 /* Staatsangehrigkeit typisiert 
    EF570 /* Gebudegrenklasse 
    EF952 /* Hochrechnungsfaktor: Jahr (in 1000) 
    .
DATASET NAME $DataSet WINDOW=FRONT.


* Deklaration fehlender Werte aufheben.
missing values all().

* ID fr spteres Zusammenfhren mit MZ .
compute satznr = $casenum.
var label satznr "Fortlaufende Personennummer (Satznr. File)".
formats satznr (f6.0).

* === Abgrenzung der Hilfsmerkmale === .
* siehe www.gesis.org/missy/files/documents/MZ/readme/readme_suf2012.pdf
* Poststratifikation: Die Hochrechnungsfaktoren der Originaldaten wurden 
* nachtrglich und ohne Bercksichtigung des Haushaltszusammenhangs angepasst
* an Randverteilungen nach:
* - Geschlecht, 
* - Altersgruppen (<15 Jahre, 15-44 Jahre, 45-64 Jahre, >=65 Jahre),
* - Erwerbsstatus (erwerbsttig, nicht erwerbsttig) pro 
* - Bundesland .

* Recodierung der Anpassungsmerkmale .
compute ef1r = EF1 /* 1=Schleswig-Holstein, ..., 16=Thringen */ .
recode EF44 (0 thru 14=1) (15 thru 44=2) (45 thru 64=3) (65 thru 95=4) 
            (-7, -8 = -1) into ef44r /* 1=0-14, 2=15-44, 3=45-54, 4=65+ */ .
recode EF46 (1=1) (2=2) (-7, -8 = -1) into ef46r /* 1=mnnlich 2=weiblich */ .
recode EF29 (1=1) (2 thru 4=2) (-7, -8 = -1) into ef29r /* 1=erwerbsttig 2=nicht erwerbsttig */ .

* Hilfsmerkmale fr Varianzschtzung pro Merkmalskombination .
compute x1   = (ef1r=1 & ef44r=1 & ef46r=1 & ef29r=2).
compute x2   = (ef1r=1 & ef44r=1 & ef46r=2 & ef29r=2).
compute x3   = (ef1r=1 & ef44r=2 & ef46r=1 & ef29r=1).
compute x4   = (ef1r=1 & ef44r=2 & ef46r=1 & ef29r=2).
compute x5   = (ef1r=1 & ef44r=2 & ef46r=2 & ef29r=1).
compute x6   = (ef1r=1 & ef44r=2 & ef46r=2 & ef29r=2).
compute x7   = (ef1r=1 & ef44r=3 & ef46r=1 & ef29r=1).
compute x8   = (ef1r=1 & ef44r=3 & ef46r=1 & ef29r=2).
compute x9   = (ef1r=1 & ef44r=3 & ef46r=2 & ef29r=1).
compute x10  = (ef1r=1 & ef44r=3 & ef46r=2 & ef29r=2).
compute x11  = (ef1r=1 & ef44r=4 & ef46r=1 & ef29r=1).
compute x12  = (ef1r=1 & ef44r=4 & ef46r=1 & ef29r=2).
compute x13  = (ef1r=1 & ef44r=4 & ef46r=2 & ef29r=1).
compute x14  = (ef1r=1 & ef44r=4 & ef46r=2 & ef29r=2).
compute x15  = (ef1r=2 & ef44r=1 & ef46r=1 & ef29r=2).
compute x16  = (ef1r=2 & ef44r=1 & ef46r=2 & ef29r=2).
compute x17  = (ef1r=2 & ef44r=2 & ef46r=1 & ef29r=1).
compute x18  = (ef1r=2 & ef44r=2 & ef46r=1 & ef29r=2).
compute x19  = (ef1r=2 & ef44r=2 & ef46r=2 & ef29r=1).
compute x20  = (ef1r=2 & ef44r=2 & ef46r=2 & ef29r=2).
compute x21  = (ef1r=2 & ef44r=3 & ef46r=1 & ef29r=1).
compute x22  = (ef1r=2 & ef44r=3 & ef46r=1 & ef29r=2).
compute x23  = (ef1r=2 & ef44r=3 & ef46r=2 & ef29r=1).
compute x24  = (ef1r=2 & ef44r=3 & ef46r=2 & ef29r=2).
compute x25  = (ef1r=2 & ef44r=4 & ef46r=1 & ef29r=1).
compute x26  = (ef1r=2 & ef44r=4 & ef46r=1 & ef29r=2).
compute x27  = (ef1r=2 & ef44r=4 & ef46r=2 & ef29r=1).
compute x28  = (ef1r=2 & ef44r=4 & ef46r=2 & ef29r=2).
compute x29  = (ef1r=3 & ef44r=1 & ef46r=1 & ef29r=2).
compute x30  = (ef1r=3 & ef44r=1 & ef46r=2 & ef29r=2).
compute x31  = (ef1r=3 & ef44r=2 & ef46r=1 & ef29r=1).
compute x32  = (ef1r=3 & ef44r=2 & ef46r=1 & ef29r=2).
compute x33  = (ef1r=3 & ef44r=2 & ef46r=2 & ef29r=1).
compute x34  = (ef1r=3 & ef44r=2 & ef46r=2 & ef29r=2).
compute x35  = (ef1r=3 & ef44r=3 & ef46r=1 & ef29r=1).
compute x36  = (ef1r=3 & ef44r=3 & ef46r=1 & ef29r=2).
compute x37  = (ef1r=3 & ef44r=3 & ef46r=2 & ef29r=1).
compute x38  = (ef1r=3 & ef44r=3 & ef46r=2 & ef29r=2).
compute x39  = (ef1r=3 & ef44r=4 & ef46r=1 & ef29r=1).
compute x40  = (ef1r=3 & ef44r=4 & ef46r=1 & ef29r=2).
compute x41  = (ef1r=3 & ef44r=4 & ef46r=2 & ef29r=1).
compute x42  = (ef1r=3 & ef44r=4 & ef46r=2 & ef29r=2).
compute x43  = (ef1r=4 & ef44r=1 & ef46r=1 & ef29r=2).
compute x44  = (ef1r=4 & ef44r=1 & ef46r=2 & ef29r=2).
compute x45  = (ef1r=4 & ef44r=2 & ef46r=1 & ef29r=1).
compute x46  = (ef1r=4 & ef44r=2 & ef46r=1 & ef29r=2).
compute x47  = (ef1r=4 & ef44r=2 & ef46r=2 & ef29r=1).
compute x48  = (ef1r=4 & ef44r=2 & ef46r=2 & ef29r=2).
compute x49  = (ef1r=4 & ef44r=3 & ef46r=1 & ef29r=1).
compute x50  = (ef1r=4 & ef44r=3 & ef46r=1 & ef29r=2).
compute x51  = (ef1r=4 & ef44r=3 & ef46r=2 & ef29r=1).
compute x52  = (ef1r=4 & ef44r=3 & ef46r=2 & ef29r=2).
compute x53  = (ef1r=4 & ef44r=4 & ef46r=1 & ef29r=1).
compute x54  = (ef1r=4 & ef44r=4 & ef46r=1 & ef29r=2).
compute x55  = (ef1r=4 & ef44r=4 & ef46r=2 & ef29r=1).
compute x56  = (ef1r=4 & ef44r=4 & ef46r=2 & ef29r=2).
compute x57  = (ef1r=5 & ef44r=1 & ef46r=1 & ef29r=2).
compute x58  = (ef1r=5 & ef44r=1 & ef46r=2 & ef29r=2).
compute x59  = (ef1r=5 & ef44r=2 & ef46r=1 & ef29r=1).
compute x60  = (ef1r=5 & ef44r=2 & ef46r=1 & ef29r=2).
compute x61  = (ef1r=5 & ef44r=2 & ef46r=2 & ef29r=1).
compute x62  = (ef1r=5 & ef44r=2 & ef46r=2 & ef29r=2).
compute x63  = (ef1r=5 & ef44r=3 & ef46r=1 & ef29r=1).
compute x64  = (ef1r=5 & ef44r=3 & ef46r=1 & ef29r=2).
compute x65  = (ef1r=5 & ef44r=3 & ef46r=2 & ef29r=1).
compute x66  = (ef1r=5 & ef44r=3 & ef46r=2 & ef29r=2).
compute x67  = (ef1r=5 & ef44r=4 & ef46r=1 & ef29r=1).
compute x68  = (ef1r=5 & ef44r=4 & ef46r=1 & ef29r=2).
compute x69  = (ef1r=5 & ef44r=4 & ef46r=2 & ef29r=1).
compute x70  = (ef1r=5 & ef44r=4 & ef46r=2 & ef29r=2).
compute x71  = (ef1r=6 & ef44r=1 & ef46r=1 & ef29r=2).
compute x72  = (ef1r=6 & ef44r=1 & ef46r=2 & ef29r=2).
compute x73  = (ef1r=6 & ef44r=2 & ef46r=1 & ef29r=1).
compute x74  = (ef1r=6 & ef44r=2 & ef46r=1 & ef29r=2).
compute x75  = (ef1r=6 & ef44r=2 & ef46r=2 & ef29r=1).
compute x76  = (ef1r=6 & ef44r=2 & ef46r=2 & ef29r=2).
compute x77  = (ef1r=6 & ef44r=3 & ef46r=1 & ef29r=1).
compute x78  = (ef1r=6 & ef44r=3 & ef46r=1 & ef29r=2).
compute x79  = (ef1r=6 & ef44r=3 & ef46r=2 & ef29r=1).
compute x80  = (ef1r=6 & ef44r=3 & ef46r=2 & ef29r=2).
compute x81  = (ef1r=6 & ef44r=4 & ef46r=1 & ef29r=1).
compute x82  = (ef1r=6 & ef44r=4 & ef46r=1 & ef29r=2).
compute x83  = (ef1r=6 & ef44r=4 & ef46r=2 & ef29r=1).
compute x84  = (ef1r=6 & ef44r=4 & ef46r=2 & ef29r=2).
compute x85  = (ef1r=7 & ef44r=1 & ef46r=1 & ef29r=2).
compute x86  = (ef1r=7 & ef44r=1 & ef46r=2 & ef29r=2).
compute x87  = (ef1r=7 & ef44r=2 & ef46r=1 & ef29r=1).
compute x88  = (ef1r=7 & ef44r=2 & ef46r=1 & ef29r=2).
compute x89  = (ef1r=7 & ef44r=2 & ef46r=2 & ef29r=1).
compute x90  = (ef1r=7 & ef44r=2 & ef46r=2 & ef29r=2).
compute x91  = (ef1r=7 & ef44r=3 & ef46r=1 & ef29r=1).
compute x92  = (ef1r=7 & ef44r=3 & ef46r=1 & ef29r=2).
compute x93  = (ef1r=7 & ef44r=3 & ef46r=2 & ef29r=1).
compute x94  = (ef1r=7 & ef44r=3 & ef46r=2 & ef29r=2).
compute x95  = (ef1r=7 & ef44r=4 & ef46r=1 & ef29r=1).
compute x96  = (ef1r=7 & ef44r=4 & ef46r=1 & ef29r=2).
compute x97  = (ef1r=7 & ef44r=4 & ef46r=2 & ef29r=1).
compute x98  = (ef1r=7 & ef44r=4 & ef46r=2 & ef29r=2).
compute x99  = (ef1r=8 & ef44r=1 & ef46r=1 & ef29r=2).
compute x100 = (ef1r=8 & ef44r=1 & ef46r=2 & ef29r=2).
compute x101 = (ef1r=8 & ef44r=2 & ef46r=1 & ef29r=1).
compute x102 = (ef1r=8 & ef44r=2 & ef46r=1 & ef29r=2).
compute x103 = (ef1r=8 & ef44r=2 & ef46r=2 & ef29r=1).
compute x104 = (ef1r=8 & ef44r=2 & ef46r=2 & ef29r=2).
compute x105 = (ef1r=8 & ef44r=3 & ef46r=1 & ef29r=1).
compute x106 = (ef1r=8 & ef44r=3 & ef46r=1 & ef29r=2).
compute x107 = (ef1r=8 & ef44r=3 & ef46r=2 & ef29r=1).
compute x108 = (ef1r=8 & ef44r=3 & ef46r=2 & ef29r=2).
compute x109 = (ef1r=8 & ef44r=4 & ef46r=1 & ef29r=1).
compute x110 = (ef1r=8 & ef44r=4 & ef46r=1 & ef29r=2).
compute x111 = (ef1r=8 & ef44r=4 & ef46r=2 & ef29r=1).
compute x112 = (ef1r=8 & ef44r=4 & ef46r=2 & ef29r=2).
compute x113 = (ef1r=9 & ef44r=1 & ef46r=1 & ef29r=2).
compute x114 = (ef1r=9 & ef44r=1 & ef46r=2 & ef29r=2).
compute x115 = (ef1r=9 & ef44r=2 & ef46r=1 & ef29r=1).
compute x116 = (ef1r=9 & ef44r=2 & ef46r=1 & ef29r=2).
compute x117 = (ef1r=9 & ef44r=2 & ef46r=2 & ef29r=1).
compute x118 = (ef1r=9 & ef44r=2 & ef46r=2 & ef29r=2).
compute x119 = (ef1r=9 & ef44r=3 & ef46r=1 & ef29r=1).
compute x120 = (ef1r=9 & ef44r=3 & ef46r=1 & ef29r=2).
compute x121 = (ef1r=9 & ef44r=3 & ef46r=2 & ef29r=1).
compute x122 = (ef1r=9 & ef44r=3 & ef46r=2 & ef29r=2).
compute x123 = (ef1r=9 & ef44r=4 & ef46r=1 & ef29r=1).
compute x124 = (ef1r=9 & ef44r=4 & ef46r=1 & ef29r=2).
compute x125 = (ef1r=9 & ef44r=4 & ef46r=2 & ef29r=1).
compute x126 = (ef1r=9 & ef44r=4 & ef46r=2 & ef29r=2).
compute x127 = (ef1r=10 & ef44r=1 & ef46r=1 & ef29r=2).
compute x128 = (ef1r=10 & ef44r=1 & ef46r=2 & ef29r=2).
compute x129 = (ef1r=10 & ef44r=2 & ef46r=1 & ef29r=1).
compute x130 = (ef1r=10 & ef44r=2 & ef46r=1 & ef29r=2).
compute x131 = (ef1r=10 & ef44r=2 & ef46r=2 & ef29r=1).
compute x132 = (ef1r=10 & ef44r=2 & ef46r=2 & ef29r=2).
compute x133 = (ef1r=10 & ef44r=3 & ef46r=1 & ef29r=1).
compute x134 = (ef1r=10 & ef44r=3 & ef46r=1 & ef29r=2).
compute x135 = (ef1r=10 & ef44r=3 & ef46r=2 & ef29r=1).
compute x136 = (ef1r=10 & ef44r=3 & ef46r=2 & ef29r=2).
compute x137 = (ef1r=10 & ef44r=4 & ef46r=1 & ef29r=1).
compute x138 = (ef1r=10 & ef44r=4 & ef46r=1 & ef29r=2).
compute x139 = (ef1r=10 & ef44r=4 & ef46r=2 & ef29r=1).
compute x140 = (ef1r=10 & ef44r=4 & ef46r=2 & ef29r=2).
compute x141 = (ef1r=11 & ef44r=1 & ef46r=1 & ef29r=2).
compute x142 = (ef1r=11 & ef44r=1 & ef46r=2 & ef29r=2).
compute x143 = (ef1r=11 & ef44r=2 & ef46r=1 & ef29r=1).
compute x144 = (ef1r=11 & ef44r=2 & ef46r=1 & ef29r=2).
compute x145 = (ef1r=11 & ef44r=2 & ef46r=2 & ef29r=1).
compute x146 = (ef1r=11 & ef44r=2 & ef46r=2 & ef29r=2).
compute x147 = (ef1r=11 & ef44r=3 & ef46r=1 & ef29r=1).
compute x148 = (ef1r=11 & ef44r=3 & ef46r=1 & ef29r=2).
compute x149 = (ef1r=11 & ef44r=3 & ef46r=2 & ef29r=1).
compute x150 = (ef1r=11 & ef44r=3 & ef46r=2 & ef29r=2).
compute x151 = (ef1r=11 & ef44r=4 & ef46r=1 & ef29r=1).
compute x152 = (ef1r=11 & ef44r=4 & ef46r=1 & ef29r=2).
compute x153 = (ef1r=11 & ef44r=4 & ef46r=2 & ef29r=1).
compute x154 = (ef1r=11 & ef44r=4 & ef46r=2 & ef29r=2).
compute x155 = (ef1r=12 & ef44r=1 & ef46r=1 & ef29r=2).
compute x156 = (ef1r=12 & ef44r=1 & ef46r=2 & ef29r=2).
compute x157 = (ef1r=12 & ef44r=2 & ef46r=1 & ef29r=1).
compute x158 = (ef1r=12 & ef44r=2 & ef46r=1 & ef29r=2).
compute x159 = (ef1r=12 & ef44r=2 & ef46r=2 & ef29r=1).
compute x160 = (ef1r=12 & ef44r=2 & ef46r=2 & ef29r=2).
compute x161 = (ef1r=12 & ef44r=3 & ef46r=1 & ef29r=1).
compute x162 = (ef1r=12 & ef44r=3 & ef46r=1 & ef29r=2).
compute x163 = (ef1r=12 & ef44r=3 & ef46r=2 & ef29r=1).
compute x164 = (ef1r=12 & ef44r=3 & ef46r=2 & ef29r=2).
compute x165 = (ef1r=12 & ef44r=4 & ef46r=1 & ef29r=1).
compute x166 = (ef1r=12 & ef44r=4 & ef46r=1 & ef29r=2).
compute x167 = (ef1r=12 & ef44r=4 & ef46r=2 & ef29r=1).
compute x168 = (ef1r=12 & ef44r=4 & ef46r=2 & ef29r=2).
compute x169 = (ef1r=13 & ef44r=1 & ef46r=1 & ef29r=2).
compute x170 = (ef1r=13 & ef44r=1 & ef46r=2 & ef29r=2).
compute x171 = (ef1r=13 & ef44r=2 & ef46r=1 & ef29r=1).
compute x172 = (ef1r=13 & ef44r=2 & ef46r=1 & ef29r=2).
compute x173 = (ef1r=13 & ef44r=2 & ef46r=2 & ef29r=1).
compute x174 = (ef1r=13 & ef44r=2 & ef46r=2 & ef29r=2).
compute x175 = (ef1r=13 & ef44r=3 & ef46r=1 & ef29r=1).
compute x176 = (ef1r=13 & ef44r=3 & ef46r=1 & ef29r=2).
compute x177 = (ef1r=13 & ef44r=3 & ef46r=2 & ef29r=1).
compute x178 = (ef1r=13 & ef44r=3 & ef46r=2 & ef29r=2).
compute x179 = (ef1r=13 & ef44r=4 & ef46r=1 & ef29r=1).
compute x180 = (ef1r=13 & ef44r=4 & ef46r=1 & ef29r=2).
compute x181 = (ef1r=13 & ef44r=4 & ef46r=2 & ef29r=1).
compute x182 = (ef1r=13 & ef44r=4 & ef46r=2 & ef29r=2).
compute x183 = (ef1r=14 & ef44r=1 & ef46r=1 & ef29r=2).
compute x184 = (ef1r=14 & ef44r=1 & ef46r=2 & ef29r=2).
compute x185 = (ef1r=14 & ef44r=2 & ef46r=1 & ef29r=1).
compute x186 = (ef1r=14 & ef44r=2 & ef46r=1 & ef29r=2).
compute x187 = (ef1r=14 & ef44r=2 & ef46r=2 & ef29r=1).
compute x188 = (ef1r=14 & ef44r=2 & ef46r=2 & ef29r=2).
compute x189 = (ef1r=14 & ef44r=3 & ef46r=1 & ef29r=1).
compute x190 = (ef1r=14 & ef44r=3 & ef46r=1 & ef29r=2).
compute x191 = (ef1r=14 & ef44r=3 & ef46r=2 & ef29r=1).
compute x192 = (ef1r=14 & ef44r=3 & ef46r=2 & ef29r=2).
compute x193 = (ef1r=14 & ef44r=4 & ef46r=1 & ef29r=1).
compute x194 = (ef1r=14 & ef44r=4 & ef46r=1 & ef29r=2).
compute x195 = (ef1r=14 & ef44r=4 & ef46r=2 & ef29r=1).
compute x196 = (ef1r=14 & ef44r=4 & ef46r=2 & ef29r=2).
compute x197 = (ef1r=15 & ef44r=1 & ef46r=1 & ef29r=2).
compute x198 = (ef1r=15 & ef44r=1 & ef46r=2 & ef29r=2).
compute x199 = (ef1r=15 & ef44r=2 & ef46r=1 & ef29r=1).
compute x200 = (ef1r=15 & ef44r=2 & ef46r=1 & ef29r=2).
compute x201 = (ef1r=15 & ef44r=2 & ef46r=2 & ef29r=1).
compute x202 = (ef1r=15 & ef44r=2 & ef46r=2 & ef29r=2).
compute x203 = (ef1r=15 & ef44r=3 & ef46r=1 & ef29r=1).
compute x204 = (ef1r=15 & ef44r=3 & ef46r=1 & ef29r=2).
compute x205 = (ef1r=15 & ef44r=3 & ef46r=2 & ef29r=1).
compute x206 = (ef1r=15 & ef44r=3 & ef46r=2 & ef29r=2).
compute x207 = (ef1r=15 & ef44r=4 & ef46r=1 & ef29r=1).
compute x208 = (ef1r=15 & ef44r=4 & ef46r=1 & ef29r=2).
compute x209 = (ef1r=15 & ef44r=4 & ef46r=2 & ef29r=1).
compute x210 = (ef1r=15 & ef44r=4 & ef46r=2 & ef29r=2).
compute x211 = (ef1r=16 & ef44r=1 & ef46r=1 & ef29r=2).
compute x212 = (ef1r=16 & ef44r=1 & ef46r=2 & ef29r=2).
compute x213 = (ef1r=16 & ef44r=2 & ef46r=1 & ef29r=1).
compute x214 = (ef1r=16 & ef44r=2 & ef46r=1 & ef29r=2).
compute x215 = (ef1r=16 & ef44r=2 & ef46r=2 & ef29r=1).
compute x216 = (ef1r=16 & ef44r=2 & ef46r=2 & ef29r=2).
compute x217 = (ef1r=16 & ef44r=3 & ef46r=1 & ef29r=1).
compute x218 = (ef1r=16 & ef44r=3 & ef46r=1 & ef29r=2).
compute x219 = (ef1r=16 & ef44r=3 & ef46r=2 & ef29r=1).
compute x220 = (ef1r=16 & ef44r=3 & ef46r=2 & ef29r=2).
compute x221 = (ef1r=16 & ef44r=4 & ef46r=1 & ef29r=1).
compute x222 = (ef1r=16 & ef44r=4 & ef46r=1 & ef29r=2).
compute x223 = (ef1r=16 & ef44r=4 & ef46r=2 & ef29r=1).
compute x224 = (ef1r=16 & ef44r=4 & ef46r=2 & ef29r=2).

* Die Hilfsmerkmale sind nur fr die Bevlkerung am Hauptwohnsitz definiert.
do repeat X = x1 to x224.
compute X = X * (EF30>=1 & EF30<=2).
end repeat.

formats x1 to x224 (f1.0).
execute.

sort cases by satznr.

file label "Hilfsmerkmale fr gebundene Hochrechnung MZ 2012".

save outfile = 'xvar12.sav' /keep = satznr x1 to x224.

* ####################### PROGRAMMENDE ####################### . 
