* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* Diese Datei: xvar13.sps
*       Dateiformat: Dos\Windows
*       Zeichensatz: Windows-1252 
* IBM SPSS Statistics 24.0.0.1
* Download: 
*     https://www.gesis.org/missy/files/documents/MZ/misc/TR_10-03_SPSS.zip
* Version: 10/2019
* 
* Konstruktion der Hilfsmerkmale fr Scientific Use File Mikrozensus 2013
* Datenbeschreibung: https://www.gesis.org/missy/metadata/MZ/2013/
* 
* Zusammenfhrung der Hilfsmerkmale mit SUF mittels Identifikator satznr
* 
* Siehe: 
* Schimpl-Neimanns, Bernhard: Varianzschtzung fr Mikrozensus 
* Scientific Use Files ab 2005. GESIS-Technical Report Nr. 2010/03. 
* Mannheim: GESIS.
*   URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
*        gesis_reihen/gesis_methodenberichte/2010/TechnicalReport_10-03.pdf
* berarbeitete Fassung verffentlicht als:
* Schimpl-Neimanns, Bernhard (2011): Schtzung des Stichprobenfehlers 
* in Mikrozensus Scientific Use Files ab 2005, AStA Wirtschafts- und 
* Sozialstatistisches Archiv 5 (1): 19-38. DOI: 10.1007/s11943-011-0092-4. 
* 
* nderungen gegenber frheren Versionen:
* Syntax vereinfacht
* Berechnung der Mittelwerte der Indikatoren der Hilfsmerkmale bercksichtigt
* nur Bevlkerung am Hauptwohnsitz
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -.

* IBM SPSS Statistics 24.0.0.1 .

* Lokales Arbeitsverzeichnis eintragen, z. B. "c:\temp".
cd "Arbeitsverzeichnis".

* Daten einlesen, ggf. um Verzeichnis ergnzen oder ohne Variablenauswahl. 
get file = "mz2013.sav" /keep
    EF1   /*  Bundesland
    EF3   /* Nr. des Auswahlbezirks (systemfrei)
    EF4   /* Nr. des Haushalts im Auswahlbezirk (systemfrei)
    EF5a  /* Nr. der Person im Haushalt (systemfrei)
    EF5b  /* Jahresberhang aus dem Vorjahr
    EF12  /* Berichtsquartal
    EF29  /* Erwerbstyp 
    EF30  /* Bevlkerung: Haupt- oder Nebenwohnsitz
    EF31  /* Bevlkerung: Privathaushalte
    EF44  /* Alter
    EF46  /* Geschlecht  
    EF117 /* Stellung im Beruf 
    EF369 /* 1. Staatsangehrigkeit
    EF371 /* Staatsangehrigkeit typisiert 
    EF570 /* Gebudegrenklasse 
    EF952 /* Hochrechnungsfaktor: Jahr (in 1000) 
    .
DATASET NAME $DataSet WINDOW=FRONT.

* Deklaration fehlender Werte aufheben.
missing values all().

* ID fr spteres Zusammenfhren mit MZ .
compute satznr = $casenum.
var label satznr "Fortlaufende Personennummer (Satznr. File)".
formats satznr (f6.0).


* === Abgrenzung der Hilfsmerkmale === 
* siehe www.gesis.org/missy/files/documents/MZ/readme/readme_suf2013.pdf
* Poststratifikation: Die Hochrechnungsfaktoren der Originaldaten wurden 
* nachtrglich mit Bercksichtigung des Haushaltszusammenhangs angepasst
* an Randverteilungen nach:
* - Geschlecht, 
* - Altersgruppen (<15 Jahre, 15-44 Jahre, 45-64 Jahre, >=65 Jahre),
* - Erwerbsstatus (erwerbsttig, nicht erwerbsttig) pro 
* - Bundesland .

* Recodierung der Anpassungsmerkmale .
compute ef1r = EF1 /* 1=Schleswig-Holstein, ..., 16=Thringen */ .
recode EF44 (0 thru 14=1) (15 thru 44=2) (45 thru 64=3) (65 thru 95=4) 
            (-7, -8 = -1) into ef44r /* 1=0-14, 2=15-44, 3=45-54, 4=65+ */ .
recode EF46 (1=1) (2=2) (-7, -8 = -1) into ef46r /* 1=mnnlich 2=weiblich */ .
recode EF29 (1=1) (2 thru 4=2) (-7, -8 = -1) into ef29r /* 1=erwerbsttig 2=nicht erwerbsttig */ .

* Hilfsmerkmale fr Varianzschtzung pro Merkmalskombination .
compute x1   = (ef1r=1 & ef44r=1 & ef46r=1 & ef29r=2).
compute x2   = (ef1r=1 & ef44r=1 & ef46r=2 & ef29r=2).
compute x3   = (ef1r=1 & ef44r=2 & ef46r=1 & ef29r=1).
compute x4   = (ef1r=1 & ef44r=2 & ef46r=1 & ef29r=2).
compute x5   = (ef1r=1 & ef44r=2 & ef46r=2 & ef29r=1).
compute x6   = (ef1r=1 & ef44r=2 & ef46r=2 & ef29r=2).
compute x7   = (ef1r=1 & ef44r=3 & ef46r=1 & ef29r=1).
compute x8   = (ef1r=1 & ef44r=3 & ef46r=1 & ef29r=2).
compute x9   = (ef1r=1 & ef44r=3 & ef46r=2 & ef29r=1).
compute x10  = (ef1r=1 & ef44r=3 & ef46r=2 & ef29r=2).
compute x11  = (ef1r=1 & ef44r=4 & ef46r=1 & ef29r=1).
compute x12  = (ef1r=1 & ef44r=4 & ef46r=1 & ef29r=2).
compute x13  = (ef1r=1 & ef44r=4 & ef46r=2 & ef29r=1).
compute x14  = (ef1r=1 & ef44r=4 & ef46r=2 & ef29r=2).
compute x15  = (ef1r=2 & ef44r=1 & ef46r=1 & ef29r=2).
compute x16  = (ef1r=2 & ef44r=1 & ef46r=2 & ef29r=2).
compute x17  = (ef1r=2 & ef44r=2 & ef46r=1 & ef29r=1).
compute x18  = (ef1r=2 & ef44r=2 & ef46r=1 & ef29r=2).
compute x19  = (ef1r=2 & ef44r=2 & ef46r=2 & ef29r=1).
compute x20  = (ef1r=2 & ef44r=2 & ef46r=2 & ef29r=2).
compute x21  = (ef1r=2 & ef44r=3 & ef46r=1 & ef29r=1).
compute x22  = (ef1r=2 & ef44r=3 & ef46r=1 & ef29r=2).
compute x23  = (ef1r=2 & ef44r=3 & ef46r=2 & ef29r=1).
compute x24  = (ef1r=2 & ef44r=3 & ef46r=2 & ef29r=2).
compute x25  = (ef1r=2 & ef44r=4 & ef46r=1 & ef29r=1).
compute x26  = (ef1r=2 & ef44r=4 & ef46r=1 & ef29r=2).
compute x27  = (ef1r=2 & ef44r=4 & ef46r=2 & ef29r=1).
compute x28  = (ef1r=2 & ef44r=4 & ef46r=2 & ef29r=2).
compute x29  = (ef1r=3 & ef44r=1 & ef46r=1 & ef29r=2).
compute x30  = (ef1r=3 & ef44r=1 & ef46r=2 & ef29r=2).
compute x31  = (ef1r=3 & ef44r=2 & ef46r=1 & ef29r=1).
compute x32  = (ef1r=3 & ef44r=2 & ef46r=1 & ef29r=2).
compute x33  = (ef1r=3 & ef44r=2 & ef46r=2 & ef29r=1).
compute x34  = (ef1r=3 & ef44r=2 & ef46r=2 & ef29r=2).
compute x35  = (ef1r=3 & ef44r=3 & ef46r=1 & ef29r=1).
compute x36  = (ef1r=3 & ef44r=3 & ef46r=1 & ef29r=2).
compute x37  = (ef1r=3 & ef44r=3 & ef46r=2 & ef29r=1).
compute x38  = (ef1r=3 & ef44r=3 & ef46r=2 & ef29r=2).
compute x39  = (ef1r=3 & ef44r=4 & ef46r=1 & ef29r=1).
compute x40  = (ef1r=3 & ef44r=4 & ef46r=1 & ef29r=2).
compute x41  = (ef1r=3 & ef44r=4 & ef46r=2 & ef29r=1).
compute x42  = (ef1r=3 & ef44r=4 & ef46r=2 & ef29r=2).
compute x43  = (ef1r=4 & ef44r=1 & ef46r=1 & ef29r=2).
compute x44  = (ef1r=4 & ef44r=1 & ef46r=2 & ef29r=2).
compute x45  = (ef1r=4 & ef44r=2 & ef46r=1 & ef29r=1).
compute x46  = (ef1r=4 & ef44r=2 & ef46r=1 & ef29r=2).
compute x47  = (ef1r=4 & ef44r=2 & ef46r=2 & ef29r=1).
compute x48  = (ef1r=4 & ef44r=2 & ef46r=2 & ef29r=2).
compute x49  = (ef1r=4 & ef44r=3 & ef46r=1 & ef29r=1).
compute x50  = (ef1r=4 & ef44r=3 & ef46r=1 & ef29r=2).
compute x51  = (ef1r=4 & ef44r=3 & ef46r=2 & ef29r=1).
compute x52  = (ef1r=4 & ef44r=3 & ef46r=2 & ef29r=2).
compute x53  = (ef1r=4 & ef44r=4 & ef46r=1 & ef29r=1).
compute x54  = (ef1r=4 & ef44r=4 & ef46r=1 & ef29r=2).
compute x55  = (ef1r=4 & ef44r=4 & ef46r=2 & ef29r=1).
compute x56  = (ef1r=4 & ef44r=4 & ef46r=2 & ef29r=2).
compute x57  = (ef1r=5 & ef44r=1 & ef46r=1 & ef29r=2).
compute x58  = (ef1r=5 & ef44r=1 & ef46r=2 & ef29r=2).
compute x59  = (ef1r=5 & ef44r=2 & ef46r=1 & ef29r=1).
compute x60  = (ef1r=5 & ef44r=2 & ef46r=1 & ef29r=2).
compute x61  = (ef1r=5 & ef44r=2 & ef46r=2 & ef29r=1).
compute x62  = (ef1r=5 & ef44r=2 & ef46r=2 & ef29r=2).
compute x63  = (ef1r=5 & ef44r=3 & ef46r=1 & ef29r=1).
compute x64  = (ef1r=5 & ef44r=3 & ef46r=1 & ef29r=2).
compute x65  = (ef1r=5 & ef44r=3 & ef46r=2 & ef29r=1).
compute x66  = (ef1r=5 & ef44r=3 & ef46r=2 & ef29r=2).
compute x67  = (ef1r=5 & ef44r=4 & ef46r=1 & ef29r=1).
compute x68  = (ef1r=5 & ef44r=4 & ef46r=1 & ef29r=2).
compute x69  = (ef1r=5 & ef44r=4 & ef46r=2 & ef29r=1).
compute x70  = (ef1r=5 & ef44r=4 & ef46r=2 & ef29r=2).
compute x71  = (ef1r=6 & ef44r=1 & ef46r=1 & ef29r=2).
compute x72  = (ef1r=6 & ef44r=1 & ef46r=2 & ef29r=2).
compute x73  = (ef1r=6 & ef44r=2 & ef46r=1 & ef29r=1).
compute x74  = (ef1r=6 & ef44r=2 & ef46r=1 & ef29r=2).
compute x75  = (ef1r=6 & ef44r=2 & ef46r=2 & ef29r=1).
compute x76  = (ef1r=6 & ef44r=2 & ef46r=2 & ef29r=2).
compute x77  = (ef1r=6 & ef44r=3 & ef46r=1 & ef29r=1).
compute x78  = (ef1r=6 & ef44r=3 & ef46r=1 & ef29r=2).
compute x79  = (ef1r=6 & ef44r=3 & ef46r=2 & ef29r=1).
compute x80  = (ef1r=6 & ef44r=3 & ef46r=2 & ef29r=2).
compute x81  = (ef1r=6 & ef44r=4 & ef46r=1 & ef29r=1).
compute x82  = (ef1r=6 & ef44r=4 & ef46r=1 & ef29r=2).
compute x83  = (ef1r=6 & ef44r=4 & ef46r=2 & ef29r=1).
compute x84  = (ef1r=6 & ef44r=4 & ef46r=2 & ef29r=2).
compute x85  = (ef1r=7 & ef44r=1 & ef46r=1 & ef29r=2).
compute x86  = (ef1r=7 & ef44r=1 & ef46r=2 & ef29r=2).
compute x87  = (ef1r=7 & ef44r=2 & ef46r=1 & ef29r=1).
compute x88  = (ef1r=7 & ef44r=2 & ef46r=1 & ef29r=2).
compute x89  = (ef1r=7 & ef44r=2 & ef46r=2 & ef29r=1).
compute x90  = (ef1r=7 & ef44r=2 & ef46r=2 & ef29r=2).
compute x91  = (ef1r=7 & ef44r=3 & ef46r=1 & ef29r=1).
compute x92  = (ef1r=7 & ef44r=3 & ef46r=1 & ef29r=2).
compute x93  = (ef1r=7 & ef44r=3 & ef46r=2 & ef29r=1).
compute x94  = (ef1r=7 & ef44r=3 & ef46r=2 & ef29r=2).
compute x95  = (ef1r=7 & ef44r=4 & ef46r=1 & ef29r=1).
compute x96  = (ef1r=7 & ef44r=4 & ef46r=1 & ef29r=2).
compute x97  = (ef1r=7 & ef44r=4 & ef46r=2 & ef29r=1).
compute x98  = (ef1r=7 & ef44r=4 & ef46r=2 & ef29r=2).
compute x99  = (ef1r=8 & ef44r=1 & ef46r=1 & ef29r=2).
compute x100 = (ef1r=8 & ef44r=1 & ef46r=2 & ef29r=2).
compute x101 = (ef1r=8 & ef44r=2 & ef46r=1 & ef29r=1).
compute x102 = (ef1r=8 & ef44r=2 & ef46r=1 & ef29r=2).
compute x103 = (ef1r=8 & ef44r=2 & ef46r=2 & ef29r=1).
compute x104 = (ef1r=8 & ef44r=2 & ef46r=2 & ef29r=2).
compute x105 = (ef1r=8 & ef44r=3 & ef46r=1 & ef29r=1).
compute x106 = (ef1r=8 & ef44r=3 & ef46r=1 & ef29r=2).
compute x107 = (ef1r=8 & ef44r=3 & ef46r=2 & ef29r=1).
compute x108 = (ef1r=8 & ef44r=3 & ef46r=2 & ef29r=2).
compute x109 = (ef1r=8 & ef44r=4 & ef46r=1 & ef29r=1).
compute x110 = (ef1r=8 & ef44r=4 & ef46r=1 & ef29r=2).
compute x111 = (ef1r=8 & ef44r=4 & ef46r=2 & ef29r=1).
compute x112 = (ef1r=8 & ef44r=4 & ef46r=2 & ef29r=2).
compute x113 = (ef1r=9 & ef44r=1 & ef46r=1 & ef29r=2).
compute x114 = (ef1r=9 & ef44r=1 & ef46r=2 & ef29r=2).
compute x115 = (ef1r=9 & ef44r=2 & ef46r=1 & ef29r=1).
compute x116 = (ef1r=9 & ef44r=2 & ef46r=1 & ef29r=2).
compute x117 = (ef1r=9 & ef44r=2 & ef46r=2 & ef29r=1).
compute x118 = (ef1r=9 & ef44r=2 & ef46r=2 & ef29r=2).
compute x119 = (ef1r=9 & ef44r=3 & ef46r=1 & ef29r=1).
compute x120 = (ef1r=9 & ef44r=3 & ef46r=1 & ef29r=2).
compute x121 = (ef1r=9 & ef44r=3 & ef46r=2 & ef29r=1).
compute x122 = (ef1r=9 & ef44r=3 & ef46r=2 & ef29r=2).
compute x123 = (ef1r=9 & ef44r=4 & ef46r=1 & ef29r=1).
compute x124 = (ef1r=9 & ef44r=4 & ef46r=1 & ef29r=2).
compute x125 = (ef1r=9 & ef44r=4 & ef46r=2 & ef29r=1).
compute x126 = (ef1r=9 & ef44r=4 & ef46r=2 & ef29r=2).
compute x127 = (ef1r=10 & ef44r=1 & ef46r=1 & ef29r=2).
compute x128 = (ef1r=10 & ef44r=1 & ef46r=2 & ef29r=2).
compute x129 = (ef1r=10 & ef44r=2 & ef46r=1 & ef29r=1).
compute x130 = (ef1r=10 & ef44r=2 & ef46r=1 & ef29r=2).
compute x131 = (ef1r=10 & ef44r=2 & ef46r=2 & ef29r=1).
compute x132 = (ef1r=10 & ef44r=2 & ef46r=2 & ef29r=2).
compute x133 = (ef1r=10 & ef44r=3 & ef46r=1 & ef29r=1).
compute x134 = (ef1r=10 & ef44r=3 & ef46r=1 & ef29r=2).
compute x135 = (ef1r=10 & ef44r=3 & ef46r=2 & ef29r=1).
compute x136 = (ef1r=10 & ef44r=3 & ef46r=2 & ef29r=2).
compute x137 = (ef1r=10 & ef44r=4 & ef46r=1 & ef29r=1).
compute x138 = (ef1r=10 & ef44r=4 & ef46r=1 & ef29r=2).
compute x139 = (ef1r=10 & ef44r=4 & ef46r=2 & ef29r=1).
compute x140 = (ef1r=10 & ef44r=4 & ef46r=2 & ef29r=2).
compute x141 = (ef1r=11 & ef44r=1 & ef46r=1 & ef29r=2).
compute x142 = (ef1r=11 & ef44r=1 & ef46r=2 & ef29r=2).
compute x143 = (ef1r=11 & ef44r=2 & ef46r=1 & ef29r=1).
compute x144 = (ef1r=11 & ef44r=2 & ef46r=1 & ef29r=2).
compute x145 = (ef1r=11 & ef44r=2 & ef46r=2 & ef29r=1).
compute x146 = (ef1r=11 & ef44r=2 & ef46r=2 & ef29r=2).
compute x147 = (ef1r=11 & ef44r=3 & ef46r=1 & ef29r=1).
compute x148 = (ef1r=11 & ef44r=3 & ef46r=1 & ef29r=2).
compute x149 = (ef1r=11 & ef44r=3 & ef46r=2 & ef29r=1).
compute x150 = (ef1r=11 & ef44r=3 & ef46r=2 & ef29r=2).
compute x151 = (ef1r=11 & ef44r=4 & ef46r=1 & ef29r=1).
compute x152 = (ef1r=11 & ef44r=4 & ef46r=1 & ef29r=2).
compute x153 = (ef1r=11 & ef44r=4 & ef46r=2 & ef29r=1).
compute x154 = (ef1r=11 & ef44r=4 & ef46r=2 & ef29r=2).
compute x155 = (ef1r=12 & ef44r=1 & ef46r=1 & ef29r=2).
compute x156 = (ef1r=12 & ef44r=1 & ef46r=2 & ef29r=2).
compute x157 = (ef1r=12 & ef44r=2 & ef46r=1 & ef29r=1).
compute x158 = (ef1r=12 & ef44r=2 & ef46r=1 & ef29r=2).
compute x159 = (ef1r=12 & ef44r=2 & ef46r=2 & ef29r=1).
compute x160 = (ef1r=12 & ef44r=2 & ef46r=2 & ef29r=2).
compute x161 = (ef1r=12 & ef44r=3 & ef46r=1 & ef29r=1).
compute x162 = (ef1r=12 & ef44r=3 & ef46r=1 & ef29r=2).
compute x163 = (ef1r=12 & ef44r=3 & ef46r=2 & ef29r=1).
compute x164 = (ef1r=12 & ef44r=3 & ef46r=2 & ef29r=2).
compute x165 = (ef1r=12 & ef44r=4 & ef46r=1 & ef29r=1).
compute x166 = (ef1r=12 & ef44r=4 & ef46r=1 & ef29r=2).
compute x167 = (ef1r=12 & ef44r=4 & ef46r=2 & ef29r=1).
compute x168 = (ef1r=12 & ef44r=4 & ef46r=2 & ef29r=2).
compute x169 = (ef1r=13 & ef44r=1 & ef46r=1 & ef29r=2).
compute x170 = (ef1r=13 & ef44r=1 & ef46r=2 & ef29r=2).
compute x171 = (ef1r=13 & ef44r=2 & ef46r=1 & ef29r=1).
compute x172 = (ef1r=13 & ef44r=2 & ef46r=1 & ef29r=2).
compute x173 = (ef1r=13 & ef44r=2 & ef46r=2 & ef29r=1).
compute x174 = (ef1r=13 & ef44r=2 & ef46r=2 & ef29r=2).
compute x175 = (ef1r=13 & ef44r=3 & ef46r=1 & ef29r=1).
compute x176 = (ef1r=13 & ef44r=3 & ef46r=1 & ef29r=2).
compute x177 = (ef1r=13 & ef44r=3 & ef46r=2 & ef29r=1).
compute x178 = (ef1r=13 & ef44r=3 & ef46r=2 & ef29r=2).
compute x179 = (ef1r=13 & ef44r=4 & ef46r=1 & ef29r=1).
compute x180 = (ef1r=13 & ef44r=4 & ef46r=1 & ef29r=2).
compute x181 = (ef1r=13 & ef44r=4 & ef46r=2 & ef29r=1).
compute x182 = (ef1r=13 & ef44r=4 & ef46r=2 & ef29r=2).
compute x183 = (ef1r=14 & ef44r=1 & ef46r=1 & ef29r=2).
compute x184 = (ef1r=14 & ef44r=1 & ef46r=2 & ef29r=2).
compute x185 = (ef1r=14 & ef44r=2 & ef46r=1 & ef29r=1).
compute x186 = (ef1r=14 & ef44r=2 & ef46r=1 & ef29r=2).
compute x187 = (ef1r=14 & ef44r=2 & ef46r=2 & ef29r=1).
compute x188 = (ef1r=14 & ef44r=2 & ef46r=2 & ef29r=2).
compute x189 = (ef1r=14 & ef44r=3 & ef46r=1 & ef29r=1).
compute x190 = (ef1r=14 & ef44r=3 & ef46r=1 & ef29r=2).
compute x191 = (ef1r=14 & ef44r=3 & ef46r=2 & ef29r=1).
compute x192 = (ef1r=14 & ef44r=3 & ef46r=2 & ef29r=2).
compute x193 = (ef1r=14 & ef44r=4 & ef46r=1 & ef29r=1).
compute x194 = (ef1r=14 & ef44r=4 & ef46r=1 & ef29r=2).
compute x195 = (ef1r=14 & ef44r=4 & ef46r=2 & ef29r=1).
compute x196 = (ef1r=14 & ef44r=4 & ef46r=2 & ef29r=2).
compute x197 = (ef1r=15 & ef44r=1 & ef46r=1 & ef29r=2).
compute x198 = (ef1r=15 & ef44r=1 & ef46r=2 & ef29r=2).
compute x199 = (ef1r=15 & ef44r=2 & ef46r=1 & ef29r=1).
compute x200 = (ef1r=15 & ef44r=2 & ef46r=1 & ef29r=2).
compute x201 = (ef1r=15 & ef44r=2 & ef46r=2 & ef29r=1).
compute x202 = (ef1r=15 & ef44r=2 & ef46r=2 & ef29r=2).
compute x203 = (ef1r=15 & ef44r=3 & ef46r=1 & ef29r=1).
compute x204 = (ef1r=15 & ef44r=3 & ef46r=1 & ef29r=2).
compute x205 = (ef1r=15 & ef44r=3 & ef46r=2 & ef29r=1).
compute x206 = (ef1r=15 & ef44r=3 & ef46r=2 & ef29r=2).
compute x207 = (ef1r=15 & ef44r=4 & ef46r=1 & ef29r=1).
compute x208 = (ef1r=15 & ef44r=4 & ef46r=1 & ef29r=2).
compute x209 = (ef1r=15 & ef44r=4 & ef46r=2 & ef29r=1).
compute x210 = (ef1r=15 & ef44r=4 & ef46r=2 & ef29r=2).
compute x211 = (ef1r=16 & ef44r=1 & ef46r=1 & ef29r=2).
compute x212 = (ef1r=16 & ef44r=1 & ef46r=2 & ef29r=2).
compute x213 = (ef1r=16 & ef44r=2 & ef46r=1 & ef29r=1).
compute x214 = (ef1r=16 & ef44r=2 & ef46r=1 & ef29r=2).
compute x215 = (ef1r=16 & ef44r=2 & ef46r=2 & ef29r=1).
compute x216 = (ef1r=16 & ef44r=2 & ef46r=2 & ef29r=2).
compute x217 = (ef1r=16 & ef44r=3 & ef46r=1 & ef29r=1).
compute x218 = (ef1r=16 & ef44r=3 & ef46r=1 & ef29r=2).
compute x219 = (ef1r=16 & ef44r=3 & ef46r=2 & ef29r=1).
compute x220 = (ef1r=16 & ef44r=3 & ef46r=2 & ef29r=2).
compute x221 = (ef1r=16 & ef44r=4 & ef46r=1 & ef29r=1).
compute x222 = (ef1r=16 & ef44r=4 & ef46r=1 & ef29r=2).
compute x223 = (ef1r=16 & ef44r=4 & ef46r=2 & ef29r=1).
compute x224 = (ef1r=16 & ef44r=4 & ef46r=2 & ef29r=2).

* Die Hilfsmerkmale sind nur fr die Bevlkerung am Hauptwohnsitz definiert.
do repeat X = x1 to x224.
compute X = X * (EF30>=1 & EF30<=2).
end repeat.
execute.

* Arithm. Mittelwerte der Hilfsmerkmale auf Haushaltsebene incl. Gemeinschafts-
*   unterknfte bilden.
* hhgr Anzahl der Personen am Hauptwohnsitz im Haushalt (inkl. Gemeinschaftsunterk.).
sort cases by ef1 ef3 ef4 ef5b ef12.
aggregate outfile = * mode=addvariables /presorted /break ef1 ef3 ef4 ef5b ef12  /hhgr = CIN(EF30,1,2).
formats hhgr (f3.0).
execute.

* Summe der Indikatoren im Haushalt.
aggregate outfile = * mode=addvariables /presorted /break ef1 ef3 ef4 ef5b ef12 
 /t1 = sum(x1)   /t2 = sum(x2)   /t3 = sum(x3)   /t4 = sum(x4)   /t5 = sum(x5)
 /t6 = sum(x6)   /t7 = sum(x7)   /t8 = sum(x8)   /t9 = sum(x9)   /t10 = sum(x10)
 /t11 = sum(x11) /t12 = sum(x12) /t13 = sum(x13) /t14 = sum(x14) /t15 = sum(x15)
 /t16 = sum(x16) /t17 = sum(x17) /t18 = sum(x18) /t19 = sum(x19) /t20 = sum(x20)
 /t21 = sum(x21) /t22 = sum(x22) /t23 = sum(x23) /t24 = sum(x24) /t25 = sum(x25)
 /t26 = sum(x26) /t27 = sum(x27) /t28 = sum(x28) /t29 = sum(x29) /t30 = sum(x30)
 /t31 = sum(x31) /t32 = sum(x32) /t33 = sum(x33) /t34 = sum(x34) /t35 = sum(x35)
 /t36 = sum(x36) /t37 = sum(x37) /t38 = sum(x38) /t39 = sum(x39) /t40 = sum(x40)
 /t41 = sum(x41) /t42 = sum(x42) /t43 = sum(x43) /t44 = sum(x44) /t45 = sum(x45)
 /t46 = sum(x46) /t47 = sum(x47) /t48 = sum(x48) /t49 = sum(x49) /t50 = sum(x50)
 /t51 = sum(x51) /t52 = sum(x52) /t53 = sum(x53) /t54 = sum(x54) /t55 = sum(x55)
 /t56 = sum(x56) /t57 = sum(x57) /t58 = sum(x58) /t59 = sum(x59) /t60 = sum(x60)
 /t61 = sum(x61) /t62 = sum(x62) /t63 = sum(x63) /t64 = sum(x64) /t65 = sum(x65)
 /t66 = sum(x66) /t67 = sum(x67) /t68 = sum(x68) /t69 = sum(x69) /t70 = sum(x70)
 /t71 = sum(x71) /t72 = sum(x72) /t73 = sum(x73) /t74 = sum(x74) /t75 = sum(x75)
 /t76 = sum(x76) /t77 = sum(x77) /t78 = sum(x78) /t79 = sum(x79) /t80 = sum(x80)
 /t81 = sum(x81) /t82 = sum(x82) /t83 = sum(x83) /t84 = sum(x84) /t85 = sum(x85)
 /t86 = sum(x86) /t87 = sum(x87) /t88 = sum(x88) /t89 = sum(x89) /t90 = sum(x90)
 /t91 = sum(x91) /t92 = sum(x92) /t93 = sum(x93) /t94 = sum(x94) /t95 = sum(x95)
 /t96 = sum(x96) /t97 = sum(x97) /t98 = sum(x98) /t99 = sum(x99)
 /t100 = sum(x100) /t101 = sum(x101) /t102 = sum(x102) /t103 = sum(x103) 
 /t104 = sum(x104) /t105 = sum(x105) /t106 = sum(x106) /t107 = sum(x107)
 /t108 = sum(x108) /t109 = sum(x109) /t110 = sum(x110) /t111 = sum(x111)
 /t112 = sum(x112) /t113 = sum(x113) /t114 = sum(x114) /t115 = sum(x115)
 /t116 = sum(x116) /t117 = sum(x117) /t118 = sum(x118) /t119 = sum(x119)
 /t120 = sum(x120) /t121 = sum(x121) /t122 = sum(x122) /t123 = sum(x123)
 /t124 = sum(x124) /t125 = sum(x125) /t126 = sum(x126) /t127 = sum(x127)
 /t128 = sum(x128) /t129 = sum(x129) /t130 = sum(x130) /t131 = sum(x131)
 /t132 = sum(x132) /t133 = sum(x133) /t134 = sum(x134) /t135 = sum(x135)
 /t136 = sum(x136) /t137 = sum(x137) /t138 = sum(x138) /t139 = sum(x139)
 /t140 = sum(x140) /t141 = sum(x141) /t142 = sum(x142) /t143 = sum(x143)
 /t144 = sum(x144) /t145 = sum(x145) /t146 = sum(x146) /t147 = sum(x147)
 /t148 = sum(x148) /t149 = sum(x149) /t150 = sum(x150) /t151 = sum(x151)
 /t152 = sum(x152) /t153 = sum(x153) /t154 = sum(x154) /t155 = sum(x155)
 /t156 = sum(x156) /t157 = sum(x157) /t158 = sum(x158) /t159 = sum(x159)
 /t160 = sum(x160) /t161 = sum(x161) /t162 = sum(x162) /t163 = sum(x163)
 /t164 = sum(x164) /t165 = sum(x165) /t166 = sum(x166) /t167 = sum(x167)
 /t168 = sum(x168) /t169 = sum(x169) /t170 = sum(x170) /t171 = sum(x171)
 /t172 = sum(x172) /t173 = sum(x173) /t174 = sum(x174) /t175 = sum(x175)
 /t176 = sum(x176) /t177 = sum(x177) /t178 = sum(x178) /t179 = sum(x179)
 /t180 = sum(x180) /t181 = sum(x181) /t182 = sum(x182) /t183 = sum(x183)
 /t184 = sum(x184) /t185 = sum(x185) /t186 = sum(x186) /t187 = sum(x187)
 /t188 = sum(x188) /t189 = sum(x189) /t190 = sum(x190) /t191 = sum(x191)
 /t192 = sum(x192) /t193 = sum(x193) /t194 = sum(x194) /t195 = sum(x195)
 /t196 = sum(x196) /t197 = sum(x197) /t198 = sum(x198) /t199 = sum(x199)
 /t200 = sum(x200) /t201 = sum(x201) /t202 = sum(x202) /t203 = sum(x203)
 /t204 = sum(x204) /t205 = sum(x205) /t206 = sum(x206) /t207 = sum(x207)
 /t208 = sum(x208) /t209 = sum(x209) /t210 = sum(x210) /t211 = sum(x211)
 /t212 = sum(x212) /t213 = sum(x213) /t214 = sum(x214) /t215 = sum(x215)
 /t216 = sum(x216) /t217 = sum(x217) /t218 = sum(x218) /t219 = sum(x219)
 /t220 = sum(x220) /t221 = sum(x221) /t222 = sum(x222) /t223 = sum(x223)
 /t224 = sum(x224).

* nicht bentigte Variablen lschen.
delete variables x1 to x224.
execute.

* Arithmetisches Mittel der Indikatoren im Haushalt.
do repeat X=t1 TO t224 
         /Y=x1 TO x224.
+ if (EF30>=1 & EF30<=2) Y=X / hhgr.
+ recode Y (sysmis=0).
end repeat.
execute.

* nicht bentigte Variablen lschen.
delete variables t1 to t224.
execute.

formats x1 to x224 (f9.6).
execute.

sort cases by satznr.

file label "Hilfsmerkmale fr gebundene Hochrechnung MZ 2013".

save outfile = 'xvar13.sav' /keep = satznr x1 to x224.

